[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libosinfo] [osinfo-db-tools PATCH v2 16/16] prepare-release: Add `ninja syntax-check`



Now that ninja has a `syntax-check` target, let's add it to
prepare-release script in a similar that `make syntax-check` was used
before.

Signed-off-by: Fabiano Fidêncio <fidencio redhat com>
---
 prepare-release.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/prepare-release.sh b/prepare-release.sh
index 5f886c5..f69ce5e 100755
--- a/prepare-release.sh
+++ b/prepare-release.sh
@@ -18,6 +18,8 @@ exec 3>&1
 st=$(
   exec 4>&1 >&3
   { ninja -C build test 2>&1 3>&- 4>&-; echo $? >&4; } | tee "$RESULTS"
+  exec 4>&1 >&3
+  { ninja -C build syntax-check 2>&1 3>&- 4>&-; echo $? >&4; } | tee --append "$RESULTS"
 )
 exec 3>&-
 test "$st" = 0
-- 
2.21.0


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]